| Home | Libraries | People | FAQ | More

##### qbegin(Predicates const &)

Returns a query iterator pointing at the begin of the query range.

###### Description

This method returns an iterator which may be used to perform iterative queries. For the information about predicates which may be passed to this method see query().

###### Synopsis

    template<typename Predicates>
    const_query_iterator qbegin(Predicates const & predicates)

###### Modifier(s)

    const

###### Parameter(s)

Type | Name | Description
--- | --- | ---
`Predicates const &` | `predicates` | Predicates.

###### Returns

The iterator pointing at the begin of the query range.

###### Example

    for ( Rtree::const_query_iterator it = tree.qbegin(bgi::nearest(pt, 10000)) ;
          it != tree.qend() ; ++it )
    {
        // do something with value
        if ( has_enough_nearest_values() )
            break;
    }

    // C++11 (auto)
    for ( auto it = tree.qbegin(bgi::nearest(pt, 3)) ; it != tree.qend() ; ++it )
    {
        // do something with value
    }

    // C++14 (generic lambda expression)
    std::for_each(tree.qbegin(bgi::nearest(pt, 3)), tree.qend(), [](auto const& val){
        // do something with value
    });

###### Iterator category

ForwardIterator

###### Throws

If predicates copy throws. If allocation throws.

| Warning
The modification of the rtree may invalidate the iterators.